.categories__modal {
    position: absolute;
    left: 0;
    top: calc(100% - 1rem);
    background: $white;
    z-index: 20;
    width: 100%;
    display: none;
    height: 85vh;
    overflow-y: scroll;
    font-size: 1.4rem;
}

.categories__nav {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 25rem;
    border-right: 1px solid rgba($gray, 0.5);

    .categories__nav-item {
        display: block;
        padding: 1rem 1.25rem 1rem 2rem;
        text-decoration: none;
        color: $black;
        position: relative;

        i {
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            right: 0.5rem;
        }

        &:hover {
            color: $red;
            background: $lightgray;
        }

        &.active {
            background: $lightgray;
        }
    }
}

.header__catalog:hover .categories__modal {
    display: block;
}

.categories__wrapper {
    display: flex;
}

.categories__category {
    padding: 1rem;
    width: 100%;
    display: none;
    flex-wrap: wrap;
    justify-content: start;
    align-items: start;
    place-content: flex-start;
    padding-bottom: 5rem;
}

.categories__item {
    text-align: center;
    text-decoration: none;
    margin: 0.5rem;
    padding: 0.6rem;
    border-radius: 0.5rem;
    max-width: 18rem;
    width: 100%;

    .category__title {
        color: $black;
        font-size: 1.55rem;
        font-weight: 600;

        &:hover {
            color: $red;
        }
    }

    .category__image {
        overflow: hidden;
        display: inline-block;
    }

    img {
        object-fit: cover;
        max-width: 10rem;
        max-height: 10rem;
        transition: 0.3s ease-in-out;
    }

    &:hover {
        border: 0.2rem solid rgba($red, 0.7);
        padding: 0.4rem;

        .category__title {
            color: $red;
        }

        img {
            transform: scale(1.15);
        }
    }
}